classification
Title: setup.py install --user option undocumented
Type: Stage: resolved
Components: Distutils, Distutils2, Documentation Versions: Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: alexis, eric.araujo, gotgenes, python-dev, tarek
Priority: normal Keywords:

Created on 2010-12-20 22:11 by gotgenes, last changed 2011-08-19 12:35 by eric.araujo. This issue is now closed.

Messages (4)
msg124408 - (view) Author: Chris Lasher (gotgenes) Date: 2010-12-20 22:11
Python 2.6 saw the introduction of per user site-packages directory for easy installation of Python packages into a guaranteed location in which the user has appropriate permissions.

http://bugs.python.org/issue1799
http://www.python.org/dev/peps/pep-0370/
http://docs.python.org/whatsnew/2.6.html#pep-370-per-user-site-packages-directory

With it came a new option available in distutils-powered setup.py scripts, "--user". It has been a year since this feature was introduced, yet no documentation has appeared in the official Python Documentation other than in the "What's New" document. Specifically, this option should appear and be documented in the "Installing Python Modules" document.

http://docs.python.org/install/

It would be very helpful if the documentation described the advantages of using this option over "--home" and "--prefix".

I am not the first user to notice this gap in the documentation, e.g.,

http://www.devx.com/opensource/Article/42353/1763

however, I couldn't find any bugs open for this issue so I have created this new one.
msg132160 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-03-25 21:35
Thanks, I will work on that.  See also #8617.
msg141832 - (view) Author: Roundup Robot (python-dev) Date: 2011-08-09 16:11
New changeset 1b0b5f644090 by Éric Araujo in branch '3.2':
Add documentation for PEP 370 features in distutils (#10745).
http://hg.python.org/cpython/rev/1b0b5f644090
msg142431 - (view) Author: Roundup Robot (python-dev) Date: 2011-08-19 12:28
New changeset 25a48fe791e6 by Éric Araujo in branch '2.7':
Add documentation for PEP 370 features in distutils (#10745).
http://hg.python.org/cpython/rev/25a48fe791e6
History
Date User Action Args
2011-08-19 12:35:02eric.araujosetstatus: open -> closed

nosy: + alexis
versions: + Python 2.7, Python 3.2, Python 3.3, - 3rd party
components: + Distutils
resolution: fixed
stage: resolved
2011-08-19 12:28:05python-devsetmessages: + msg142431
2011-08-09 16:11:14python-devsetnosy: + python-dev
messages: + msg141832
2011-06-10 17:46:18eric.araujolinkissue11553 dependencies
2011-03-25 21:35:36eric.araujosetmessages: + msg132160
2010-12-20 22:18:54eric.araujosetassignee: tarek -> eric.araujo
title: --user option, per user site-packages undocumented in Installing Python Modules document -> setup.py install --user option undocumented
components: + Distutils2, - Distutils
versions: + 3rd party, - Python 2.6, Python 3.1, Python 2.7, Python 3.2, Python 3.3
2010-12-20 22:11:52gotgenescreate